world = love.physics.newWorld(0, 500, true)
    world:setCallbacks(beginContact, endContact, preSolve, postSolve)

local timer = 0
	
player = {}
        player.b = love.physics.newBody(world, 0,0, "dynamic")
		player.b:setMass(1)
        player.s = love.physics.newRectangleShape(64,110)
        player.f = love.physics.newFixture(player.b, player.s)
        player.f:setUserData("Player")
		player.i = love.graphics.newImage("gfx/player.png")
		player.sx = player.i:getWidth()/player.i:getWidth()/3
		player.sy = player.i:getHeight()/player.i:getHeight()/3
		player.x = player.b:getX()
		player.y = player.b:getY()
		player.width = 64
		player.height = 110
		player.canjump = false
		player.frame = 1
		player.wtime = 0
		player.energy = 100
		player.energyall = 100

function love.update(dt) timer = dt player.x = player.b:getX() player.y = player.b:getY() end
		
function player:move()
	if love.keyboard.isDown("d") then
		player.b:applyForce(2000, -10)
		--player.b:setX(player.b:getX()+70*dt)
		player.frame = 1
		player.wtime = player.wtime + timer
	elseif love.keyboard.isDown("q") then
		player.b:applyForce(-2000, -10)
		--player.b:setX(player.b:getX()-70*dt)
		player.frame = 2
		player.wtime = player.wtime + timer
	end
	if love.keyboard.isDown("d") and love.keyboard.isDown("lshift") and not love.keyboard.isDown(" ") and player.energyall > 0 then
			--player.b:applyForce(5000, -500)
			--player.b:setX(player.b:getX()+200*dt)
			--playerw.update(dt*2)
			--if playerw.frame > 58 then
			--	playerw.frame = 1
			--endd
			--if playerw.frame < 57 then
			--	player.wtime = player.wtime + dt*2
			--end
			--player.frame = 1
			--player.energy = player.energy - dt*15
	elseif love.keyboard.isDown("q") and love.keyboard.isDown("lshift") and not love.keyboard.isDown(" ") and player.energyall > 0 then
			--player.b:applyForce(-5000, -500)
			--player.b:setX(player.b:getX()-200*dt)
			--playerw.update(dt*2)
			--if playerw.frame > 58 then
			--	playerw.frame = 1
			--end
			--if playerw.frame < 57 then
			--	player.wtime = player.wtime + dt*2
			--end
			--player.frame = 2
			--player.energy = player.energy - dt*15
			--player.energy = player.energy - dt*15
	end
	if not love.keyboard.isDown('q') or not love.keyboard.isDown('d') then
		
	end
	function love.keypressed(key)
		if gamestate == "PAUSE" then
			if key == "escape" then
				gamestate = "GAME"
			end
		elseif gamestate == "GAME" and key == "escape" then
			gamestate = "PAUSE"
		end
		if key == " " and player.energy > player.energyall * 0.6 and gamestate == "GAME" then
			player.b:applyForce(0, -120000)
			player.canjump = true
			player.energy = player.energy - player.energyall * 0.6
		end
	end
end

function player:draw()
	--love.graphics.rectangle("fill", player.b:getX()-(player.width/2)+16, player.b:getY()-(player.height/2)+16, player.width, player.height, 0)
	--love.graphics.draw(player.i, player.b:getX(), player.b:getY(), 0, player.sx, player.sy)
	if love.keyboard.isDown("d") and gamestate == "GAME" then
		if playerw.playing and playerw.frame_current then
			love.graphics.draw(playerw.frame_current, player.b:getX() - 32+16, player.b:getY() - 64+16, player.b:getAngle(), player.sx, player.sy)
		end
	elseif love.keyboard.isDown("q") and gamestate == "GAME" then
		if playerw.playing and playerw.frame_current then
			love.graphics.draw(playerw.frame_current, player.b:getX() + 32+16, player.b:getY() - 64+16, player.b:getAngle(), -player.sx, player.sy)
		end
	else
		if player.frame == 1 then
			love.graphics.draw(player.i, player.b:getX() - 32+16, player.b:getY() - 64+16, player.b:getAngle(), player.sx, player.sy)
		elseif player.frame == 2 then
			love.graphics.draw(player.i, player.b:getX() + 32+16, player.b:getY() - 64+16, player.b:getAngle(), -player.sx, player.sy)
		end
	end
end